net.sf.jasperreports.charts.design

## Class JRDesignGanttSeries

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseGanttSeries
  - - net.sf.jasperreports.charts.design.JRDesignGanttSeries

- All Implemented Interfaces:
    java.io.Serializable, JRGanttSeries, JRChangeEventsSupport

      public class JRDesignGanttSeries
      extends JRBaseGanttSeries
      implements JRChangeEventsSupport

  Version:
    $Id: JRDesignGanttSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Peter Risko (peter@risko.hu)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_END_DATE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_ITEM_HYPERLINK`
    `static java.lang.String` | `PROPERTY_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_PERCENT_EXPRESSION`
    `static java.lang.String` | `PROPERTY_SERIES_EXPRESSION`
    `static java.lang.String` | `PROPERTY_START_DATE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_SUBTASK_EXPRESSION`
    `static java.lang.String` | `PROPERTY_TASK_EXPRESSION`

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBaseGanttSeries

      `endDateExpression, itemHyperlink, labelExpression, percentExpression, seriesExpression, startDateExpression, subtaskExpression, taskExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignGanttSeries()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setEndDateExpression(JRExpression endDateExpression)`
    `void` | `setItemHyperlink(JRHyperlink itemHyperlink)` Sets the hyperlink specification for chart items.
    `void` | `setLabelExpression(JRExpression labelExpression)`
    `void` | `setPercentExpression(JRExpression percentExpression)`
    `void` | `setSeriesExpression(JRExpression seriesExpression)`
    `void` | `setStartDateExpression(JRExpression startDateExpression)`
    `void` | `setSubtaskExpression(JRExpression subtaskExpression)`
    `void` | `setTaskExpression(JRExpression taskExpression)`

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBaseGanttSeries

      `getEndDateExpression, getItemHyperlink, getLabelExpression, getPercentExpression, getSeriesExpression, getStartDateExpression, getSubtaskExpression, getTaskExpression`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_SERIES_EXPRESSION

          public static final java.lang.String PROPERTY_SERIES_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_TASK_EXPRESSION

          public static final java.lang.String PROPERTY_TASK_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_SUBTASK_EXPRESSION

          public static final java.lang.String PROPERTY_SUBTASK_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_START_DATE_EXPRESSION

          public static final java.lang.String PROPERTY_START_DATE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_END_DATE_EXPRESSION

          public static final java.lang.String PROPERTY_END_DATE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_PERCENT_EXPRESSION

          public static final java.lang.String PROPERTY_PERCENT_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_ITEM_HYPERLINK

          public static final java.lang.String PROPERTY_ITEM_HYPERLINK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignGanttSeries

          public JRDesignGanttSeries()

  - ### Method Detail

    - #### setSeriesExpression

          public void setSeriesExpression(JRExpression seriesExpression)

    - #### setTaskExpression

          public void setTaskExpression(JRExpression taskExpression)

    - #### setSubtaskExpression

          public void setSubtaskExpression(JRExpression subtaskExpression)

    - #### setStartDateExpression

          public void setStartDateExpression(JRExpression startDateExpression)

    - #### setEndDateExpression

          public void setEndDateExpression(JRExpression endDateExpression)

    - #### setPercentExpression

          public void setPercentExpression(JRExpression percentExpression)

    - #### setLabelExpression

          public void setLabelExpression(JRExpression labelExpression)

    - #### setItemHyperlink

          public void setItemHyperlink(JRHyperlink itemHyperlink)

      Sets the hyperlink specification for chart items.
      Parameters:
        `itemHyperlink` - the hyperlink specification
      See Also:
        `JRBaseGanttSeries.getItemHyperlink()`

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `JRBaseGanttSeries`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com